using System;
using System.Collections.Generic;
using System.Text;

namespace H2Forge.Map.Data.Divisions
{
    public class Sbsp
    {
        #region Instance Data
        private List<Map.Data.Types.SbspInfo> __SbspInfoList__;
        private string __ScnrPath__;
        #endregion

        #region Accessors
        /// <summary>
        /// SbspInfoList
        /// </summary>
        public List<Map.Data.Types.SbspInfo> SbspInfoList { get { return __SbspInfoList__; } set { __SbspInfoList__ = value; } }
        /// <summary>
        /// ScnrIndx
        /// </summary>
        public string ScnrPath { get { return __ScnrPath__; } set { __ScnrPath__ = value; } }

        #endregion

        public Sbsp(Map.Stream.MapStream map)
        {
            ScnrPath = map.Sbsp.ScnrPath;
            if (map.SbspAndLtmpInfoIsFixed) SbspInfoList = map.Sbsp.DataList();
        }
    }
}
