using System;
using System.Collections.Generic;
using System.Text;

namespace H2Forge.Map.Plugins.Items
{
    public class ReflexiveTree
    {
        #region Instances
        private string __name;
        private int __offset;
        private int __size;
        private bool __visible;
        private ReflexiveTree[] __reflexives;
        #endregion

        #region Accessors
        /// <summary>
        /// Reflexive Name
        /// </summary>
        public string Name { get { return __name; } set { __name = value; } }
        /// <summary>
        /// Reflexive Relative Offset
        /// </summary>
        public int Offset { get { return __offset; } set { __offset = value; } }
        /// <summary>
        /// Reflexive Is Visible
        /// </summary>
        public bool Visible { get { return __visible; } set { __visible = value; } }
        /// <summary>
        /// Reflexive Chunk Size
        /// </summary>
        public int ChunkSize { get { return __size; } set { __size = value; } }
        /// <summary>
        /// Reflexives
        /// </summary>
        public ReflexiveTree[] Reflexives { get { return __reflexives; } set { __reflexives = value; } }
        #endregion
    }
}
