using System;
using System.Collections.Generic;
using System.Text;

namespace H2Forge.Map.Data.Types
{
    public class LightMap
    {
        #region Instance Data
        private int __iD__;
        private string __tagPath__;
        private int __offset__;
        private int __size__;
        //private int __palettesOffset__;
        //private List<PaletteColor[]> __palettes__ = new List<PaletteColor[]>();
        //private int[] __bsp_Submap_Indices__;
        //private int[] __bsp_Palette_Indices__;
        //private int[] __perm_Submap_Indices__;
        //private int[] __perm_Palette_Indices__;
        #endregion

        #region Accessors
        /// <summary>
        /// ID
        /// </summary>
        public int ID { get { return __iD__; } set { __iD__ = value; } }
        /// <summary>
        /// TagIndex
        /// </summary>
        public string TagPath { get { return __tagPath__; } set { __tagPath__ = value; } }
        /// <summary>
        /// Offset
        /// </summary>
        public int Offset { get { return __offset__; } set { __offset__ = value; } }
        /// <summary>
        /// Size
        /// </summary>
        public int Size { get { return __size__; } set { __size__ = value; } }
        ///// <summary>
        ///// PalettesOffset
        ///// </summary>
        //public int PalettesOffset { get { return __palettesOffset__; } set { __palettesOffset__ = value; } }
        ///// <summary>
        ///// Palettes
        ///// </summary>
        //public List<PaletteColor[]> Palettes { get { return __palettes__; } set { __palettes__ = value; } }
        ///// <summary>
        ///// Bsp_Submap_Indices
        ///// </summary>
        //public int[] Bsp_Submap_Indices { get { return __bsp_Submap_Indices__; } set { __bsp_Submap_Indices__ = value; } }
        ///// <summary>
        ///// Bsp_Palette_Indices
        ///// </summary>
        //public int[] Bsp_Palette_Indices { get { return __bsp_Palette_Indices__; } set { __bsp_Palette_Indices__ = value; } }
        ///// <summary>
        ///// Perm_Submap_Indices
        ///// </summary>
        //public int[] Perm_Submap_Indices { get { return __perm_Submap_Indices__; } set { __perm_Submap_Indices__ = value; } }
        ///// <summary>
        ///// Perm_Palette_Indices
        ///// </summary>
        //public int[] Perm_Palette_Indices { get { return __perm_Palette_Indices__; } set { __perm_Palette_Indices__ = value; } }

        #endregion

        //public struct PaletteColor
        //{
        //    public int a, r, g, b;
        //}

        public LightMap(Map.Stream.MapStream map, int SbspInfoIndex)
        {
            ID = map.SbspInfoList[SbspInfoIndex].LightMap.ID; 
            TagPath = map.SbspInfoList[SbspInfoIndex].LightMap.TagPath; 
            Offset = map.SbspInfoList[SbspInfoIndex].LightMap.Offset;
            Size = map.SbspInfoList[SbspInfoIndex].LightMap.Size; 
        }
    }
}
