using System;
using System.Collections.Generic;
using System.Text;

namespace H2Forge.Map.Data.Types
{
    public class StringTableString
    {
        private int __offset;
        private string __string;

        public int Offset { get { return __offset; } set { __offset = value; } }
        public string String
        {
            get { return __string; }
            set
            {
                int len = __string.Length;
                if (value.Length > len) { __string = value.Substring(0, len); }
                else if (value.Length < len) { __string = value; for (int x = value.Length; x < len; x++) __string += ' '; }
                else { __string = value; }
            }
        }

        public StringTableString(string str, int offset)
        {
            __offset = offset;
            __string = str;
        }

    }
}
