using System;
using System.Collections.Generic;
using System.Text;

namespace H2Forge.Map.Plugins.Items
{
    public class Base
    {        
        #region Instances
        private string __type;
        private string __name;
        private int __offset;
        private bool __visible;
        private int __size;
        private int __value;
        #endregion

        #region Accessors
        /// <summary>
        /// Item Type
        /// </summary>
        public string Type { get { return __type; } set { __type = value; } }
        /// <summary>
        /// Item Name
        /// </summary>
        public string Name { get { return __name; } set { __name = value; } }
        /// <summary>
        /// Item Offset
        /// </summary>
        public int Offset { get { return __offset; } set { __offset = value; } }
        /// <summary>
        /// Item Is Visible
        /// </summary>
        public bool Visible { get { return __visible; } set { __visible = value; } }
        /// <summary>
        /// Item Chunk Size (If Applicable)
        /// </summary>
        public int Size { get { return __size; } set { __size = value; } }
        /// <summary>
        /// Item Value (If Applicable)
        /// </summary>
        public int Value { get { return __value; } set { __value = value; } }
        #endregion
    }
}
